Package org.kapott.hbci.structures

## Class Limit

- java.lang.Object
- - org.kapott.hbci.structures.Limit

    public class Limit
    extends java.lang.Object

### Field Summary

Fields
`int` `days`
`int` `type`
`static char` `TYPE_DAILY`
`static char` `TYPE_MONTHLY`
`static char` `TYPE_SINGLE`
`static char` `TYPE_TIME`
`static char` `TYPE_WEEKLY`
`Value` `value`

### Constructor Summary

Constructors
`Limit()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### TYPE_SINGLE

    public static final char TYPE_SINGLE

See Also:
  Constant Field Values

#### TYPE_DAILY

    public static final char TYPE_DAILY

See Also:
  Constant Field Values

#### TYPE_WEEKLY

    public static final char TYPE_WEEKLY

See Also:
  Constant Field Values

#### TYPE_MONTHLY

    public static final char TYPE_MONTHLY

See Also:
  Constant Field Values

#### TYPE_TIME

    public static final char TYPE_TIME

See Also:
  Constant Field Values

#### type

    public int type

#### value

    public Value value

#### days

    public int days

### Constructor Detail

#### Limit

    public Limit()

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`